package com.ruoyi.project.business.domain.train;

import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;

/**
 * 答卷对象 tt_assess_result
 * 
 * @author ruoyi
 * @date 2024-07-04
 */
public class TtAssessResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long id;

    /** 试卷试题ID */
    @Excel(name = "试卷试题ID")
    private Long testPaperDetailId;

    /** 培训对象ID */
    @Excel(name = "培训对象ID")
    private Long trainTargetId;

    /** 答题内容 */
    @Excel(name = "答题内容")
    private String answerContent;

    /** 得分 */
    @Excel(name = "得分")
    private Long score;

    /** 删除标记（0：未删除  1：已删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTestPaperDetailId(Long testPaperDetailId) 
    {
        this.testPaperDetailId = testPaperDetailId;
    }

    public Long getTestPaperDetailId() 
    {
        return testPaperDetailId;
    }
    public void setTrainTargetId(Long trainTargetId) 
    {
        this.trainTargetId = trainTargetId;
    }

    public Long getTrainTargetId() 
    {
        return trainTargetId;
    }
    public void setAnswerContent(String answerContent) 
    {
        this.answerContent = answerContent;
    }

    public String getAnswerContent() 
    {
        return answerContent;
    }
    public void setScore(Long score) 
    {
        this.score = score;
    }

    public Long getScore() 
    {
        return score;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("testPaperDetailId", getTestPaperDetailId())
            .append("trainTargetId", getTrainTargetId())
            .append("answerContent", getAnswerContent())
            .append("score", getScore())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
